version: '2.1'

services:
  jk2:
#    build: ./jk2/jk2
    image: pathartl/docker-jk2
    hostname: jk2
    container_name: jk2
    restart: always
#    command: /usr/local/bin/jk2server --config /etc/jk2/jk2.conf --terminal
#    entrypoint:
#      - /bin/sh
#      - /entrypoint.sh
#    volumes:
#        - ./jk2-server/:/root/
    ports:
        - "28060-28081:28060-28081/udp"
#    network_mode: host
    networks:
      mynet:
        ipv4_address: 172.11.0.101
        
networks:
  mynet:
    enable_ipv6: false
    driver: bridge
    ipam:
      config:
      - subnet: 172.11.0.0/24

